<?php
/**
 * Created by PhpStorm.
 * User: XiaoMing
 * Date: 2019/12/16
 * Time: 9:41
 */

namespace JinDouYun\Controller\Cron;


use JinDouYun\Dao\Enterprise\DEnterprise;
use Util\Common\PartnerTools;
use JinDouYun\Model\Market\MCoupon;
use Mall\Framework\Core\StatusCode;

class NewCommissionCron
{
    //命令:php /www/wwwroot/apiqnys.liuniukj.com/Public/www/index.php -mCron -cNewCommissionCron -anewCommissionTask >> /www/wwwroot/logs/apiqnys.liuniukj.com/cron.log 2>&1 &
    
    public function newCommissionTask(){
        echo PHP_EOL."合伙人佣金计算任务开始".PHP_EOL;
        $objDEnterprise = new DEnterprise();
        $objDEnterprise->setTable('qianniao_enterprise_1');
        $enterpriseList = $objDEnterprise->select(['deleteStatus' => StatusCode::$standard]);
        if (empty($enterpriseList)){
            echo '企业数据为空'.PHP_EOL;
            die;
        }
        foreach ($enterpriseList as $value){
            if(empty($value['id'])) continue;
            $taskTotal = new PartnerTools($value['id']);
            $res = $taskTotal->runTask();
            
            if(empty($res) || empty($res["code"])){
                echo '系统错误'.PHP_EOL;
            }else{
                echo json_encode($res,JSON_UNESCAPED_UNICODE).PHP_EOL;
            }
        }
        echo '合伙人佣金计算任务结束'.PHP_EOL;
    }
}