<?php

/**
 * 新分销合伙人余额明细表
 */

namespace JinDouYun\Dao\CommissionPartner;

use JinDouYun\Dao\BaseDao;

class DNewCommissionBalanceDetail extends BaseDao
{
    public function __construct($serviceDB = 'default')
    {
        $this->_table = 'new_commission_balance_detail';
        $this->_primary = 'id';
        $this->_fields = [
            "id",
            "type",
            "title",
            "code",
            "money",
            "content",
            "admin_id",
            "customer_id",
            "partner_id",
            "user_center_id",
            "cash_id",
            "old_balance",
            "now_balance",
            "time",
            "expand",
            "detail_id",
        ];
        $this->_readonly = ['id'];
        parent::__construct($serviceDB);
    }
}