<?php

/**
 * 新分销合伙人佣金明细表
 */

namespace JinDouYun\Dao\CommissionPartner;

use JinDouYun\Dao\BaseDao;

class DNewCommissionDetail extends BaseDao
{
    public function __construct($serviceDB = 'default')
    {
        $this->_table = 'new_commission_detail';
        $this->_primary = 'id';
        $this->_fields = [
            "id",
            "customerId",
            "userCenterId",
            "partnerId",
            "sourceCustomerId",
            "title",
            "orderMoney",
            "calcMoney",
            "commission",
            "per",
            "type",
            "orderId",
            "status",
            "isUpgrade",
            "mono",
            "time",
            "expand",
            "orderNo"
        ];
        $this->_readonly = ['id'];
        parent::__construct($serviceDB);
    }
}