<?php

/**
 * 新分销合伙人提现申请表
 */

namespace JinDouYun\Dao\CommissionPartner;

use JinDouYun\Dao\BaseDao;

class DNewCommissionCash extends BaseDao
{
    public function __construct($serviceDB = 'default')
    {
        $this->_table = 'new_commission_cash';
        $this->_primary = 'id';
        $this->_fields = [
            "id",
            "customer_id",
            "user_center_id",
            "partner_id",
            "bank_type_code",
            "bank_type",
            "bank_num",
            "bank_name",
            "bank_ad",
            "audit_mono",
            "audit_name",
            "audit_time",
            "audit_id",
            "status",
            "time",
            "expand",
            "money",
        ];
        $this->_readonly = ['id'];
        parent::__construct($serviceDB);
    }
}