<?php

/**
 * 新分销合伙人表
 */

namespace JinDouYun\Dao\CommissionPartner;

use JinDouYun\Dao\BaseDao;

class DNewCommissionSetting extends BaseDao
{
    public function __construct($serviceDB = 'default')
    {
        $this->_table = 'new_commission_setting';
        $this->_primary = 'id';
        $this->_fields = [
            "id",
            "enterpriseId",
            "levMoney",
            "levPer",
            "incomePer",
            "bankData",
            "is_open",
            "updateTime",
            "time",
        ];
        $this->_readonly = ['id'];
        parent::__construct($serviceDB);
    }
}