<?php

/**
 * 新分销合伙人表
 */

namespace JinDouYun\Dao\CommissionPartner;

use JinDouYun\Dao\BaseDao;

class DNewCommissionTask extends BaseDao
{
    public function __construct($serviceDB = 'default')
    {
        $this->_table = 'new_commission_task';
        $this->_primary = 'id';
        $this->_fields = [
            "id",
            "orderId",
            "title",
            "mono",
            "status",
            "run_time",
            "time",
            "enterpriseId",
        ];
        $this->_readonly = ['id'];
        parent::__construct($serviceDB);
    }
}